#include <bits/stdc++.h>

using namespace std;

bool MozeIzbrisati (int a[], int x, int y) {
    int br = 0;
    if (a[x - 1] > 1) {
        for (int i = x; i < y; i++) {
            if (a[x - 1] > a[i]) {
                br++;
                break;
            }
        }
    }

    for (int i = x; i < y - 1; i++) {
        if (a[i] > 1) {
            for (int j = i + 1; j < y; j++) {
                if (a[i] > a[j]) {
                    br++;
                    if (br > 1) return false;
                }
            }
        }
    }
    return true;
}

int main()
{
    int n, q;
    cin >> n;
    int a[n];
    for (int i = 0; i < n; i++)
        cin >> a[i];
    cin >> q;
    string resenja[q];
    for (int i = 0; i < q; i++) {
        int x, y;
        cin >> x >> y;
        resenja[i] = MozeIzbrisati(a, x, y) ? "DA" : "NE";
    }

    for (int i = 0; i < q; i++) {
        cout << resenja[i] << "\n";
    }
    return 0;
}